/**
 * Base error class for all errors thrown by `ArgsParser`.
 *
 * @category Exceptions
 */
export declare class ArgsParserError extends Error {
}
/**
 * Thrown when trying to add an argument with a name that already exists.
 *
 * @category Exceptions
 */
export declare class AddArgumentError extends ArgsParserError {
}
/**
 * Thrown when the argument name is invalid.
 *
 * @category Exceptions
 */
export declare class ArgumentNameError extends ArgsParserError {
}
/**
 * Thrown when the argument value is invalid.
 *
 * @category Exceptions
 */
export declare class ArgumentValueError extends ArgsParserError {
}
